package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.WarehouseStockBean;
import com.wd.workoffice.bean.mesBean.QualityTraceabilityBean;
import com.wd.workoffice.bean.workEnum.PagePermissionType;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class QualityTraceabilityAdapter extends BaseQuickAdapter<QualityTraceabilityBean.ListBean, BaseViewHolder> {

    public QualityTraceabilityAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, QualityTraceabilityBean.ListBean item) {
        helper.setText(R.id.tv_no, String.format("订单号:%s", item.getOrderNumber()));
        helper.setText(R.id.tv_single_code, item.getSerialNumber());
        helper.setText(R.id.tv_pro_name, item.getProductName());
        helper.setText(R.id.tv_pro_code, item.getProductCode());
        helper.setText(R.id.tv_img_code, item.getDrawingNumber());
        helper.setText(R.id.tv_spec, item.getSpecification());

        helper.setText(R.id.tv_box_num, item.getBoxNumber());
        helper.setText(R.id.tv_factory_name, item.getSiteName());
        helper.setText(R.id.tv_factory_code, item.getSiteCode());

        helper.setText(R.id.tv_code, item.getManufactureOrderNumber());
        helper.setText(R.id.tv_version, item.getVerson());
        helper.setText(R.id.tv_pro, item.getSeriesName());
    }
}

